cURL
Authorizations
string
header
required
DashScope API Key
Path Parameters
string
required
Vault ID,格式 vlt_xxx
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update vault information
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/vaults/{vault_id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "生产环境密钥箱(已更名)",
"metadata": {
"environment": "production",
"deprecated_key": null
}
}
'{
"id": "vlt_xxx",
"type": "vault",
"display_name": "生产环境密钥箱(已更名)",
"metadata": {
"environment": "production"
},
"archived_at": null,
"created_at": "2026-06-20T10:00:00Z",
"updated_at": "2026-07-01T14:30:00Z"
}DashScope API Key
Vault ID,格式 vlt_xxx
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/vaults/{vault_id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "生产环境密钥箱(已更名)",
"metadata": {
"environment": "production",
"deprecated_key": null
}
}
'{
"id": "vlt_xxx",
"type": "vault",
"display_name": "生产环境密钥箱(已更名)",
"metadata": {
"environment": "production"
},
"archived_at": null,
"created_at": "2026-06-20T10:00:00Z",
"updated_at": "2026-07-01T14:30:00Z"
}